Page 198 of 231 FirstFirst ... 98148188196197198199200208 ... LastLast
Results 1,971 to 1,980 of 2310

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #1971
    Join Date
    Jul 2006
    Location
    Lancashire
    Beans
    Hidden!
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by Jerriy View Post
    Now what?
    Connecting to 127.0.0.1:8118... connected.
    Proxy request sent, awaiting response... 200 OK
    Length: 16767 (16K) [text/html]
    Saving to: `lame-3.99.tar.gz.2'

    100%[================================================== ================================================== =======================>] 16,767 --.-K/s in 0s

    2011-11-26 15:02:08 (172 MB/s) - `lame-3.99.tar.gz.2' saved [16767/16767]

    ****@******:~$ tar xzvf lame-3.99.tar.gz

    gzip: stdin: not in gzip format
    tar: Child returned status 1
    tar: Exiting with failure status due to previous errors

    There's a problem unzipping lame.
    That's probably because you've already downloaded it and there are probably multiple copies on your hard drive....
    lame-3.99.tar.gz
    lame-3.99.tar.gz.1
    lame-3.99.tar.gz.2
    etc.

    So look for all these lame tar.gz files and delete them, then try again from:-
    Code:
    wget http://downloads.sourceforge.net/project/lame/lame/3.99/lame-3.99.tar.gz

  2. #1972
    Join Date
    Dec 2008
    Beans
    340
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: HOWTO: Install and use the latest FFmpeg and x264

    ^ I did that and that went well but then the very next line of instruction failed:
    Code:
    ****@******:~$ tar xzvf lame-3.99.tar.gz
    
    gzip: stdin: not in gzip format
    tar: Child returned status 1
    tar: Exiting with failure status due to previous errors
    ****@******:~$ cd lame-3.99
    bash: cd: lame-3.99: No such file or directory
    ****@******:~$ ./configure --enable-nasm --disable-shared
    bash: ./configure: No such file or directory
    ****@******:~$ make
    make: *** No targets specified and no makefile found.  Stop.
    ****@******:~$ sudo checkinstall --pkgname=lame-ffmpeg --pkgversion="3.99" --backup=no --default \
    >     --deldoc=yes

  3. #1973
    Join Date
    Jul 2006
    Location
    Lancashire
    Beans
    Hidden!
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Works for me.
    Attached Files Attached Files

  4. #1974
    Join Date
    Jun 2007
    Beans
    13,185

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Jerriy - try step 5 like this, then maybe you can move along, copy & paste the complete code box as 1 command

    Code:
    cd
    mkdir -p lame_build; cd lame_build; \
    wget http://downloads.sourceforge.net/project/lame/lame/3.99/lame-3.99.tar.gz; \
    tar xzvf lame-3.99.tar.gz; cd lame-3.99; \
    ./configure --enable-nasm --disable-shared; \
    make; sudo checkinstall --pkgname=lame-ffmpeg --pkgversion="3.99" --backup=no \
    --default --deldoc=yes

  5. #1975
    Join Date
    Dec 2008
    Beans
    340
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: HOWTO: Install and use the latest FFmpeg and x264

    ^ That was to no avail:
    Code:
    ****@******:~$ cd
    ****@******:~$ mkdir -p lame_build; cd lame_build; \
    > wget http://downloads.sourceforge.net/project/lame/lame/3.99/lame-3.99.tar.gz; \
    > tar xzvf lame-3.99.tar.gz; cd lame-3.99; \
    > ./configure --enable-nasm --disable-shared; \
    > make; sudo checkinstall --pkgname=lame-ffmpeg --pkgversion="3.99" --backup=no \
    > --default --deldoc=yes
    --2011-11-26 19:33:59--  http://downloads.sourceforge.net/project/lame/lame/3.99/lame-3.99.tar.gz
    Connecting to 127.0.0.1:8118... connected.
    Proxy request sent, awaiting response... 301 Moved Permanently
    Location: http://sourceforge.net/projects/lame/files/lame/3.99/lame-3.99.tar.gz/download?use_mirror=netcologne [following]
    --2011-11-26 19:34:00--  http://sourceforge.net/projects/lame/files/lame/3.99/lame-3.99.tar.gz/download?use_mirror=netcologne
    Connecting to 127.0.0.1:8118... connected.
    Proxy request sent, awaiting response... 200 OK
    Length: 16823 (16K) [text/html]
    Saving to: `lame-3.99.tar.gz'
    
    100%[============================================================================================================================>] 16,823      --.-K/s   in 0s      
    
    2011-11-26 19:34:01 (159 MB/s) - `lame-3.99.tar.gz' saved [16823/16823]
    
    
    gzip: stdin: not in gzip format
    tar: Child returned status 1
    tar: Exiting with failure status due to previous errors
    bash: cd: lame-3.99: No such file or directory
    bash: ./configure: No such file or directory
    make: *** No targets specified and no makefile found.  Stop.
    [sudo] password for ****: 
    
    checkinstall 1.6.1, Copyright 2002 Felipe Eduardo Sanchez Diaz Duran
               This software is released under the GNU GPL.
    
    
    The package documentation directory ./doc-pak does not exist. 
    Should I create a default set of package docs?  [y]: y
    
    Preparing package documentation...OK
    
    *** No known documentation files were found. The new package 
    *** won't include a documentation directory.
    
    *****************************************
    **** Debian package creation selected ***
    *****************************************
    
    This package will be built according to these values: 
    
    0 -  Maintainer: [ root@****** ]
    1 -  Summary: [ Package created with checkinstall 1.6.1 ]
    2 -  Name:    [ lame-ffmpeg ]
    3 -  Version: [ 3.99 ]
    4 -  Release: [ 1 ]
    5 -  License: [ GPL ]
    6 -  Group:   [ checkinstall ]
    7 -  Architecture: [ i386 ]
    8 -  Source location: [ lame_build ]
    9 -  Alternate source location: [  ]
    10 - Requires: [  ]
    11 - Provides: [ lame-ffmpeg ]
    
    Enter a number to change any of them or press ENTER to continue: 
    
    Installing with make...Installing with install...
    
    ========================= Installation results ===========================
    make: *** No rule to make target `install'.  Stop.
    
    ****  Installation failed. Aborting package creation.
    
    Cleaning up...OK
    
    Bye.
    
    ****@******:~/lame_build$ cd
    ****@******:~$ mkdir -p lame_build; cd lame_build; \
    > wget http://downloads.sourceforge.net/project/lame/lame/3.99/lame-3.99.tar.gz; \
    > tar xzvf lame-3.99.tar.gz; cd lame-3.99; \
    > ./configure --enable-nasm --disable-shared; \
    > make; sudo checkinstall --pkgname=lame-ffmpeg --pkgversion="3.99" --backup=no \
    > --default --deldoc=yes
    --2011-11-26 20:55:41--  http://downloads.sourceforge.net/project/lame/lame/3.99/lame-3.99.tar.gz
    Connecting to 127.0.0.1:8118... connected.
    Proxy request sent, awaiting response... 301 Moved Permanently
    Location: http://sourceforge.net/projects/lame/files/lame/3.99/lame-3.99.tar.gz/download?use_mirror=heanet [following]
    --2011-11-26 20:55:42--  http://sourceforge.net/projects/lame/files/lame/3.99/lame-3.99.tar.gz/download?use_mirror=heanet
    Connecting to 127.0.0.1:8118... connected.
    Proxy request sent, awaiting response... 200 OK
    Length: 16760 (16K) [text/html]
    Saving to: `lame-3.99.tar.gz'
    
    100%[============================================================================================================================>] 16,760      --.-K/s   in 0s      
    
    2011-11-26 20:55:43 (139 MB/s) - `lame-3.99.tar.gz' saved [16760/16760]
    
    
    gzip: stdin: not in gzip format
    tar: Child returned status 1
    tar: Exiting with failure status due to previous errors
    bash: cd: lame-3.99: No such file or directory
    bash: ./configure: No such file or directory
    make: *** No targets specified and no makefile found.  Stop.
    [sudo] password for ****: 
    
    checkinstall 1.6.1, Copyright 2002 Felipe Eduardo Sanchez Diaz Duran
               This software is released under the GNU GPL.
    
    
    The package documentation directory ./doc-pak does not exist. 
    Should I create a default set of package docs?  [y]: y
    
    Preparing package documentation...OK
    
    *** No known documentation files were found. The new package 
    *** won't include a documentation directory.
    
    *****************************************
    **** Debian package creation selected ***
    *****************************************
    
    This package will be built according to these values: 
    
    0 -  Maintainer: [ root@****** ]
    1 -  Summary: [ Package created with checkinstall 1.6.1 ]
    2 -  Name:    [ lame-ffmpeg ]
    3 -  Version: [ 3.99 ]
    4 -  Release: [ 1 ]
    5 -  License: [ GPL ]
    6 -  Group:   [ checkinstall ]
    7 -  Architecture: [ i386 ]
    8 -  Source location: [ lame_build ]
    9 -  Alternate source location: [  ]
    10 - Requires: [  ]
    11 - Provides: [ lame-ffmpeg ]
    
    Enter a number to change any of them or press ENTER to continue: 
    
    Installing with make...Installing with install...
    
    ========================= Installation results ===========================
    make: *** No rule to make target `install'.  Stop.
    
    ***  Installation failed. Aborting package creation.
    
    Cleaning up...OK
    
    Bye.

  6. #1976
    Join Date
    Jun 2007
    Beans
    13,185

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Then maybe just open the folder with lame-3.99.tar.gz, r. click on > extract here & then proceed from at the lame-3.99 prompt

    Code:
    ./configure --enable-nasm --disable-shared; \
    make; sudo checkinstall --pkgname=lame-ffmpeg --pkgversion="3.99" --backup=no \
    --default --deldoc=yes
    Or try changing the tar command posted above or from step 5 to
    tar xvf lame-3.99.tar.gz

  7. #1977
    Join Date
    Dec 2008
    Beans
    340
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: HOWTO: Install and use the latest FFmpeg and x264

    I can't seem to be able to extract "lame-3.99.tar.gz" in any folder or even desktop
    Attached Images Attached Images

  8. #1978
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    529
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: HOWTO: Install and use the latest FFmpeg and x264

    The problem is that the lame tarball isn't being downloaded at all. The size isn't right, which confirms this (the tarball isn't 16KB, but an HTML error page certainly is - hence the reason it complains about the file not being in gzip format).

    Compare filesizes:
    2011-11-26 19:34:01 (159 MB/s) - `lame-3.99.tar.gz' saved [16823/16823]

    And then me, having downloaded lame-3.99.tar.gz from the provided link above:
    2011-11-26 16:57:07 (466 KB/s) - `lame-3.99.tar.gz' saved [1441166/1441166]

    The difference is that mine correctly downloaded, and hence really is a tarball, and it extracts fine. Check the proxy settings you're using, or just bypass the problem entirely and download the tarball through your web browser.

  9. #1979
    Join Date
    Dec 2008
    Beans
    340
    Distro
    Ubuntu 10.04 Lucid Lynx

    Re: HOWTO: Install and use the latest FFmpeg and x264

    qyot27, yes that's the case. So I went directly to the sourceforge via my browser and downloaded it and it worked!....

    Then I went thru the instructions until step 7 and then (you guessed it!) the next mysterious problem showed up that I'm at a loss to solve:
    Code:
    ****@******:~/libvpx$ cd
    ****@******:~$ git clone --depth 1 git://source.ffmpeg.org/ffmpeg
    fatal: destination path 'ffmpeg' already exists and is not an empty directory.
    ****@******:~$ cd ffmpeg
    ****@******:~/ffmpeg$ ./configure --enable-gpl --enable-libfaac --enable-libmp3lame --enable-libopencore-amrnb \
    >     --enable-libopencore-amrwb --enable-libtheora --enable-libvorbis --enable-libvpx \
    >     --enable-libx264 --enable-nonfree --enable-postproc --enable-version3 --enable-x11grab
    ERROR: libvpx decoder version must be >=0.9.1
    
    If you think configure made a mistake, make sure you are using the latest
    version from Git.  If the latest version fails, report the problem to the
    ffmpeg-user@ffmpeg.org mailing list or IRC #ffmpeg on irc.freenode.net.
    Include the log file "config.log" produced by configure as this will help
    solving the problem.
    ****@******:~/ffmpeg$ make
    Makefile:2: config.mak: No such file or directory
    Makefile:45: /common.mak: No such file or directory
    Makefile:82: /libavutil/Makefile: No such file or directory
    Makefile:148: /doc/Makefile: No such file or directory
    Makefile:149: /tests/Makefile: No such file or directory
    make: *** No rule to make target `/tests/Makefile'.  Stop.
    ****@******:~/ffmpeg$ sudo checkinstall --pkgname=ffmpeg --pkgversion="5:$(./version.sh)" --backup=no \
    >     --deldoc=yes --default
    
    checkinstall 1.6.1, Copyright 2002 Felipe Eduardo Sanchez Diaz Duran
               This software is released under the GNU GPL.
    
    
    
    *****************************************
    **** Debian package creation selected ***
    *****************************************
    
    This package will be built according to these values: 
    
    0 -  Maintainer: [ root@****** ]
    1 -  Summary: [ Package created with checkinstall 1.6.1 ]
    2 -  Name:    [ ffmpeg ]
    3 -  Version: [ 5:N-31031-g022f8d2 ]
    4 -  Release: [ 1 ]
    5 -  License: [ GPL ]
    6 -  Group:   [ checkinstall ]
    7 -  Architecture: [ i386 ]
    8 -  Source location: [ ffmpeg ]
    9 -  Alternate source location: [  ]
    10 - Requires: [  ]
    11 - Provides: [ ffmpeg ]
    
    Enter a number to change any of them or press ENTER to continue: 
    
    Installing with make...Installing with install...
    
    ========================= Installation results ===========================
    Makefile:2: config.mak: No such file or directory
    Makefile:45: /common.mak: No such file or directory
    Makefile:82: /libavutil/Makefile: No such file or directory
    Makefile:148: /doc/Makefile: No such file or directory
    Makefile:149: /tests/Makefile: No such file or directory
    make: *** No rule to make target `/tests/Makefile'.  Stop.
    
    ****  Installation failed. Aborting package creation.
    
    Cleaning up...OK
    
    Bye.
    Last edited by Jerriy; November 27th, 2011 at 12:16 AM.

  10. #1980
    Join Date
    Dec 2005
    Location
    St. Petersburg, FL
    Beans
    529
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: HOWTO: Install and use the latest FFmpeg and x264

    Quote Originally Posted by Jerriy View Post
    ERROR: libvpx decoder version must be >=0.9.1
    Did Step 6 complete successfully? That should have taken care of the issue of making sure libvpx was at or above version 0.9.1. Otherwise, I'd think it a problem with a repository version of libvpx-dev (or whatever the exact package name is) not being new enough.

    The solution would likely be to 'completely remove' (sudo apt-get purge if using the Terminal) the libvpx packages and then do Step 6 again.

Page 198 of 231 FirstFirst ... 98148188196197198199200208 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •